Summary:        TSP : library for a generic Transport Sampling Protocol
Name:           tsp
Version:        0.8.0
Release:        1
Group:          Applications/Communications
URL:            https://savannah.nongnu.org/projects/tsp
License:        LGPL
Vendor:		The TSP Team Worldwide
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%package apidoc
Group: 	Documentation
Summary:	The TSP API Documentation
%description apidoc
The TSP API documentation as generated by doxygen


%define prefix /opt/tsp-%{version}
%define rpmprefix $RPM_BUILD_ROOT%{prefix}
%define srcdir /%_topdir/SOURCES


#BuildRequires:  

%description
TSP : library for a generic Transport Sampling Protocol
TSP is both a protocol and a library available in C and Java
that may be used to observe evolutionary data. 
Main applications of TSP are test beds and simulator
be it realtime or not.

%prep
rm -rf %{name}
tar xvfz %{srcdir}/%{name}-%{version}.tar.gz 

%build
cd %{name}
./configure --prefix=%{rpmprefix} --enable-openGL --enable-apidoc
source src/scripts/tsp_dev.login.sh
make distclean
make
# second make necessary for tsp_rpc_cleanup
make
  
%install 
cd %{name}
source src/scripts/tsp_dev.login.sh
make install

%clean
rm -rf %{name}

%post
if [ -d  /etc/profile.d ]; then
  cd /etc/profile.d
  ln -sf %{prefix}/scripts/tsp_profile.sh
  ln -sf %{prefix}/scripts/tsp_profile.csh
fi
if [ -d /usr/lib/pkgconfig ]; then
  cd /usr/lib/pkgconfig
  ln -sf %{prefix}/scripts/tsp.pc
fi

%preun

%postun
rm -rf %{prefix}/bin
rm -rf %{prefix}/scripts
rm -rf %{prefix}/include
rm -rf %{prefix}/lib
if [ ! -r /etc/profile.d/tsp_profile.sh ]; then
   rm /etc/profile.d/tsp_profile.sh
fi
if [ ! -r /etc/profile.d/tsp_profile.sh ]; then
   rm /etc/profile.d/tsp_profile.csh
fi
if [ ! -r /usr/lib/pkgconfig/tsp.pc ]; then
   rm /usr/lib/pkgconfig/tsp.pc
fi

%postun apidoc
rm -rf %{prefix}/doc

%files
%defattr(-,root,root,0644)
%attr(0755, root, root) %{prefix}/bin/*
%attr(0755, root, root) %{prefix}/scripts/*
%attr(0644, root, root) %{prefix}/include/*.h
%attr(0644, root, root) %{prefix}/lib/lib*

%files apidoc
%defattr(-,root,root,0644)
%attr(0644, root, root) %{prefix}/doc/api/html/*

%changelog
* Fri Apr 28 2006 Erk
  - Add second make call for tsp_rpc_cleanup
* Wed Mar 22 2006 Erk
  - Ready to tag 0.7.3
  - Make postun scripts for main package and apidoc package
    really do their jobs
* Sun Mar 12 2006 Erk
  - Add tsp.pc file for pkg-config
  - Change install prefix from /opt/tsp to /opt/tsp-%{version}
* Sat Mar 11 2006 Erk
  - Add tsp-apidoc sub-package this package may contain
    only header and footer if doxygen is not installed
* Sun Jan 29 2006 Erk
  - Prepare TSP 0.7.2
* Sun Jan 29 2006 Erk
  - Prepare TSP 0.7.1
* Fri Dec 1 2005 Erk
  - TSP 0.7.1cvs
    We should change the version as soon as preceding version
    released in order to avoid CVS and real version mismatch
* Fri Nov 1 2005 Erk
  - TSP 0.7.0
* Fri Oct 14 2005 Erk
  - add link to /etc/profile.d/ during post
  - delete those link during preun
* Thu Oct 13 2005 Erk
  - bump to 0.7.0pre1
* Tue Sep 6  2005 Erk
  - use shell wildcard in order to select files as suggested
    by Fred. B.M. in order to avoid to try to install non generated
    binaries on box where some devel libraries were not detected
    by the configure script.
* Sun Aug 28 2005 Erk
  - bb_create and bb_publish
* Sun Aug 14 2005 Erk
  - Added new bb_check_version and rename bb_checkid --> bb_check_id
  - Change install path location prefix from /usr/local/tsp
    to /opt/tsp which is the recommanded path from 
    FHS 2.3 (http://www.pathname.com/fhs/) and
    LSB 3.0 (http://www.linuxbase.org/ or 
             http://lsbbook.gforge.freestandards.org/install-app.html)
* Tue Jul 19 2005 Erk
  - Update spec file for TSP 0.6.5
* Mon Mar 10 2005 Frederic Blanchet-Momas
  - Initial RPM release.

